/* 
** Layout, Text & Colors 
*/

body {
  background-image: url("./backgroundcartes.jpg");
  font-size: 15px;
}

p {
  line-height: 1.5;
}

.container {
  max-width: 1000px; /* Ajustez selon la largeur désirée */
  margin: 0 auto;
  text-align: center; /* Ajout pour centrer les éléments à l'intérieur */
}

.card-column {
  width: 100%; /* Utilisez 100% pour centrer et adapter une seule carte */
  float: none; /* Inutile lorsque vous centrez */
  padding: 2%; /* Réduisez le padding pour donner plus de place à la carte */
  box-sizing: border-box;
  margin: 5% auto; /* Centrer verticalement et ajuster l'espacement */
}

.column-1 {
  padding-top: 100px;
}

.card {
  width: 100%; /* Ajustez la largeur de la carte */
  max-width: 600px; /* Agrandissez la taille maximale de la carte */
  margin-left: auto;
  margin-right: auto;
  position: relative;
  background: #032e66;
  color: #fff;
  cursor: pointer;
  margin-bottom: 20px; /* Ajustez l'espacement entre les cartes si nécessaire */
}

.border {
  position: absolute;
  border-radius: 50px;
  width: 100%;
  height: 100%;
  padding: 6px;
  border: 1px solid #000000;
  opacity: 0.5;
  left: -6px;
  top: -6px;
}

.card h1 {
  position: relative;
  padding: 190px 0px 100px 10px;
  width: 100%;
}

.card > img {
  width: 90%;
  position: absolute;
  border-radius: 50px;
  top: 4%;
  left: 5%;
}

.card-color-0 {
  background-image: url("./bground1.jpg");
  border-radius: 50px;
}

.card-color-1 {
  background-color: #8F3985;
}

.card-color-2 {
  background-color: #8DAA91;
}

.card-color-3 {
  background-color: #888DA7;
}

/* The cover (expanding background) */
.cover {
  position: fixed;
  background-color: green;
  z-index: 100;
  transform-origin: 50% 50%;
}

/* The open page content */
.open-content {
  width: 100%;
  z-index: 110;
  position: absolute;
  opacity: 0;
  pointer-events: none;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: -500px;
}

.open-content img {
  position: relative;
  width: 20%;
  height: 10%;
  margin-left: 3%;
  margin-top: 20px;
  z-index: 5;
  border-radius: 50px;
}

.open-content .text {
  background: #fff;
  margin-top: -56%;
  padding: 60% 3% 3% 3%;
  width: 80%;
  margin-left: 5%;
  margin-bottom: 5%;
  border-radius: 50px;
}

.open-content .text h1, .open-content .text p {
  max-width: auto;
  margin-left: auto;
  margin-right: auto;
}

.close-content {
  display: block;
  position: absolute;
  right: 12px;
  top: 12px;
  width: 30px;
  height: 30px;
}

.close-content span {
  background: #ffffff;
  width: 30px;
  height: 6px;
  display: block;
  position: absolute;
  top: 14px;
}

.x-1 {
  transform: rotate(45deg);
}

.x-2 {
  transform: rotate(-45deg);
}

/* 
** Transitions
*/

.card {
  transition: opacity 200ms linear 320ms, transform 200ms ease-out 320ms;
}

.border {
  transition: opacity 200ms linear, transform 200ms ease-out;
}

.card img {
  transition: opacity 200ms linear 0ms, transform 200ms ease-in 0ms;
}

.card h1 {
  color: white; 
  text-shadow:
  -2px -2px 0 #000,
   2px -2px 0 #000,
  -2px  2px 0 #000,
   2px  2px 0 #000,
  -2px 0px 0 #000,
   2px 0px 0 #000,
   0px -2px 0 #000,
   0px  2px 0 #000,
  -3px 0px 0 #000,
   3px 0px 0 #000,
   0px -3px 0 #000,
   0px  3px 0 #000;  /* Directement en bas */
  transition: opacity 200ms linear 120ms, transform 200ms ease-in 120ms;
}

/* Clicked card */
.card.clicked img {
  transform: translate3d(0px, -40px, 0px);
  opacity: 0;
}

.card.clicked .border {
  opacity: 0;
  transform: scale(1.3);
}

.card.out, .card.out img {
  transform: translate3d(0px, -40px, 0px);
  opacity: 0;
}

.card.out h1, .card.clicked h1 {
  transform: translate3d(20%, -40px, 0px);
  opacity: 0;
}

.cover {
  transition: transform 300ms ease-in-out;
}

.open-content {
  transition: opacity 200ms linear 0ms;
}

.open-content.open {
  opacity: 1;
  pointer-events: all;
  transition-delay: 1000ms;
}

/* 
** Media Queries
*/

@media screen and (max-width: 600px) {
  .card-column {
    width: 90%;
  }
  
  .column-1 {
    padding-top: 0px;
  }
  
  .open-content img {
    margin-top: 40px;
  }
}